namespace Brizco.Core.EntityServices.Abstracts;

public interface IActivityService : IScopedDependency
{
    Task<bool> UpdateActivitiesByShiftPlan(Guid shiftPlanId, CancellationToken cancellationToken);
    Task<bool> CreateActivitiesByShiftPlan(Guid shiftPlanId, CancellationToken cancellationToken);
    Task<bool> DoneActivityAsync(Guid activityId, CancellationToken cancellationToken);
    Task<bool> CompleteActivitiesAsync(List<CompleteActivityRequestDto> requestDtos, CancellationToken cancellationToken);
    Task<bool> UnDoneActivityAsync(Guid activityId, string undoneReason, CancellationToken cancellationToken);
}